Multiblock
==========

[![Build Status](https://api.travis-ci.com/Arantor/moodle-block_multiblock.svg?branch=master)](https://travis-ci.com/Arantor/moodle-block_multiblock/)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
![GitHub last commit](https://img.shields.io/github/last-commit/Arantor/moodle-block_multiblock/master.svg)

![Moodle 3.5 supported](https://img.shields.io/badge/Moodle-3.5-brightgreen)
![Moodle 3.6 supported for data loss items](https://img.shields.io/badge/Moodle-3.6-green)
![Moodle 3.7 supported](https://img.shields.io/badge/Moodle-3.7-brightgreen)
![Moodle 3.8 supported](https://img.shields.io/badge/Moodle-3.8-brightgreen)
![Moodle 3.9 supported](https://img.shields.io/badge/Moodle-3.9-brightgreen)
![Moodle master supported](https://img.shields.io/badge/Moodle-master-brightgreen)
![Totara 12 support](https://img.shields.io/badge/Totara-12-brightgreen)

* [What is this?](#what-is-this)
* [What styles of presentation are there?](#what-styles-of-presentation-are-there)
* [Support](#support)

What is this?
-------------

This is a sort of magic metablock. Suppose you're using Boost and you have a
whole bunch of blocks making a course page longer than it should be, or
cluttering up your Dashboard.

Using Multiblock you can collect all those blocks together and use 'one block's
worth' of space and put all those blocks into the one space with one of several
layouts, whether it's tabs or an accordion, or something else. Several preset
layouts are bundled with Multiblock.


What styles of presentation are there?
--------------------------------------

Show and tell time, I guess. Screenshots from 3.6 with Boost with the accent
colour changed.


Tabbed layout:

![Tabbed layout](/pix/tabbed-list.png?raw=true)

Vertical tabbed layout (left)

![Vertical tabbed layout](/pix/vertical-tabbed-list.png?raw=true)

Vertical tabbed layout (right)

![Vertical tabbed layout](/pix/vertical-tabbed-list-right.png?raw=true)

Accordion layout:

![Accordion layout](/pix/accordion.png?raw=true)

Dropdown layout:

![Dropdown layout](/pix/dropdown.png?raw=true)


There's also some 2-column layouts where the 'multiblock' container has no
title so it integrates better into the look and feel. The styling is designed
for Boost so mileage with other themes will absolutely vary.

2 column (equal width):

![2 column layout (equal width)](/pix/columns-2-equal.png?raw=true)

2 column (66% / 33%):

![2 column layout (66% / 33%)](/pix/columns-2-66-33.png?raw=true)

2 column (33% / 66%):

![2 column layout (33% / 66%)](/pix/columns-2-33-66.png?raw=true)


And now a 3-column equal width layout:

![3 column layout (equal width)](/pix/columns-3-equal.png?raw=true)


Support
-------

If you find a bug, please use GitHub to file an issue - they should be added to
https://github.com/arantor/moodle-block_multiblock/issues

Please note that I make no guarantees around resolution times and if you need
something more concrete in terms of resolutions, or development, please
contact Catalyst IT Europe to discuss your needs.

https://www.catalyst-eu.net/content/contact-us
